Subject: bug#5751: Strange behaviour of ff-find-other-file

From: Noam Postavsky <[email-masked]>
Date: Mon, 29 Aug 2016 17:55:38 -0400

On Sun, Aug 28, 2016 at 1:18 AM, Andrew Hyatt <[email-masked]> wrote:
>> I'm reopening, because I think this does make sense as a feature
>> request.  Generally foo.c and foo.h will be related if they are in the
>> same "project", so probably the user will want the file to be found in
>> this case.  I think Emacs recently got some kind of "project API" thing,
>> perhaps that can be used for this?
>
>
> This makes more sense the original proposal, but I'm still not so sure.  For
> example, how many projects have multiple directories with files called
> util.c?  Probably quite a few.  I think any assumptions we make here will be
> bound to cause problems.
>

Probably it will need to be made configurable in the end, but as a
default, I don't think choosing a non-related util.c from another
nearby directory is worse than failing to choose a related one.